%define anolis_release 36
Name:           perl-Convert-Bencode
Version:        1.03
Release:        %{anolis_release}%{?dist}
Summary:        Functions for converting to/from bencoded strings
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Convert-Bencode
Source0:        https://cpan.metacpan.org/modules/by-module/Convert/Convert-Bencode-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(bytes)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(locale)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl(Test::More) >= 0.45
# Dependencies

%description
This module provides two functions, bencode and bdecode, which encode and
decode bencoded strings respectively.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Convert-Bencode-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Convert/
%{_mandir}/man3/Convert::Bencode.3*

%files doc
%doc Changes README Todo

%changelog
* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 1.03-36
- Import package for anolis 23
